import { getEnumTypeList, getEnumTypeName } from './index'

/**
 * 套期类型
 */
export enum HedgedType {
    Buy = 1, // 采购计划
    Sell = 2, // 销售计划
    Spot = 3, // 现货贸易
    Inventory = 4, // 库存现货
    Pricing = 5, // 定价采购合同
}

/**
 * 获取类型列表
 * @returns 
 */
export function getHedgedTypeList() {
    return getEnumTypeList('hedgedType');
}

/**
 * 获取枚举名称
 * @param value 
 * @returns 
 */
export function getHedgedTypeName(value: number) {
    return getEnumTypeName(getHedgedTypeList(), value);
}

/**
 * 判断类型是否相同
 * @param key 
 * @param value 
 * @returns 
 */
export function isEqualToHedgedType(key: keyof typeof HedgedType, value: number) {
    return HedgedType[key] === value;
}